@echo off
call ..\DefineVersions.bat
call ..\NET1.bat

cd Utils
%resgen% LocalizationRes.cs.resx
%al% /out:..\cs\DevExpress.Utils.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:cs /embed:LocalizationRes.cs.resources,LocalizationRes.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraBars
%resgen% LocalizationRes.cs.resx
%al% /out:..\cs\DevExpress.XtraBars.%VER_DLL%.Resources.dll /v:%VER_BARS% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraBars.LocalizationRes.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraCharts
%resgen% LocalizationRes.cs.resx
%resgen% Design\ChartTitleEditorForm.cs.resx ChartTitleEditorForm.cs.resources
%resgen% Design\CollectionEditorForm.cs.resx CollectionEditorForm.cs.resources
%resgen% Design\ConstantLineCollectionEditorForm.cs.resx ConstantLineCollectionEditorForm.cs.resources
%resgen% Design\CustomAxisLabelCollectionEditorForm.cs.resx CustomAxisLabelCollectionEditorForm.cs.resources
%resgen% Design\DataFilterCollectionForm.cs.resx DataFilterCollectionForm.cs.resources
%resgen% Design\DataMemberPicker.cs.resx DataMemberPicker.cs.resources
%resgen% Design\PaletteEditorForm.cs.resx PaletteEditorForm.cs.resources
%resgen% Design\SeriesCollectionForm.cs.resx SeriesCollectionForm.cs.resources
%resgen% Design\StringCollectionEditorForm.cs.resx StringCollectionEditorForm.cs.resources
%resgen% Design\StripCollectionEditorForm.cs.resx StripCollectionEditorForm.cs.resources
%resgen% Design\ValueDataMemberEditorForm.cs.resx ValueDataMemberEditorForm.cs.resources
%resgen% Design\ViewTypesForm.cs.resx ViewTypesForm.cs.resources
%resgen% Design\Wizard\ChartAppearanceControl.cs.resx ChartAppearanceControl.cs.resources
%resgen% Design\Wizard\ChartAxesControl.cs.resx ChartAxesControl.cs.resources
%resgen% Design\Wizard\ChartAxisControl.cs.resx ChartAxisControl.cs.resources
%resgen% Design\Wizard\ChartDataControl.cs.resx ChartDataControl.cs.resources
%resgen% Design\Wizard\ChartLegendControl.cs.resx ChartLegendControl.cs.resources
%resgen% Design\Wizard\ChartTitlesControl.cs.resx ChartTitlesControl.cs.resources
%resgen% Design\Wizard\ChartTypeControl.cs.resx ChartTypeControl.cs.resources
%resgen% Design\Wizard\ChartWizardControl.cs.resx ChartWizardControl.cs.resources
%resgen% Design\Wizard\ChartWizardForm.cs.resx ChartWizardForm.cs.resources
%resgen% Design\Wizard\FontEditControl.cs.resx FontEditControl.cs.resources
%resgen% Design\Wizard\SeriesLabelsControl.cs.resx SeriesLabelsControl.cs.resources
%al% /out:..\cs\DevExpress.XtraCharts.%VER_DLL%.Resources.dll /v:%VER_CHARTS% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraCharts.LocalizationRes.cs.resources /embed:ChartTitleEditorForm.cs.resources,DevExpress.XtraCharts.Design.ChartTitleEditorForm.cs.resources /embed:CollectionEditorForm.cs.resources,DevExpress.XtraCharts.Design.CollectionEditorForm.cs.resources /embed:ConstantLineCollectionEditorForm.cs.resources,DevExpress.XtraCharts.Design.ConstantLineCollectionEditorForm.cs.resources /embed:CustomAxisLabelCollectionEditorForm.cs.resources,DevExpress.XtraCharts.Design.CustomAxisLabelCollectionEditorForm.cs.resources /embed:DataFilterCollectionForm.cs.resources,DevExpress.XtraCharts.Design.DataFilterCollectionForm.cs.resources /embed:DataMemberPicker.cs.resources,DevExpress.XtraCharts.Design.DataMemberPicker.cs.resources /embed:PaletteEditorForm.cs.resources,DevExpress.XtraCharts.Design.PaletteEditorForm.cs.resources /embed:SeriesCollectionForm.cs.resources,DevExpress.XtraCharts.Design.SeriesCollectionForm.cs.resources /embed:StringCollectionEditorForm.cs.resources,DevExpress.XtraCharts.Design.StringCollectionEditorForm.cs.resources /embed:StripCollectionEditorForm.cs.resources,DevExpress.XtraCharts.Design.StripCollectionEditorForm.cs.resources /embed:ValueDataMemberEditorForm.cs.resources,DevExpress.XtraCharts.Design.ValueDataMemberEditorForm.cs.resources /embed:ViewTypesForm.cs.resources,DevExpress.XtraCharts.Design.ViewTypesForm.cs.resources /embed:ChartAppearanceControl.cs.resources,DevExpress.XtraCharts.Design.ChartAppearanceControl.cs.resources /embed:ChartAxesControl.cs.resources,DevExpress.XtraCharts.Design.ChartAxesControl.cs.resources /embed:ChartAxisControl.cs.resources,DevExpress.XtraCharts.Design.ChartAxisControl.cs.resources /embed:ChartDataControl.cs.resources,DevExpress.XtraCharts.Design.ChartDataControl.cs.resources /embed:ChartLegendControl.cs.resources,DevExpress.XtraCharts.Design.ChartLegendControl.cs.resources /embed:ChartTitlesControl.cs.resources,DevExpress.XtraCharts.Design.ChartTitlesControl.cs.resources /embed:ChartTypeControl.cs.resources,DevExpress.XtraCharts.Design.ChartTypeControl.cs.resources /embed:ChartWizardControl.cs.resources,DevExpress.XtraCharts.Design.ChartWizardControl.cs.resources /embed:ChartWizardForm.cs.resources,DevExpress.XtraCharts.Design.ChartWizardForm.cs.resources /embed:FontEditControl.cs.resources,DevExpress.XtraCharts.Design.Wizard.FontEditControl.cs.resources /embed:SeriesLabelsControl.cs.resources,DevExpress.XtraCharts.Design.SeriesLabelsControl.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraEditors
%resgen% LocalizationRes.cs.resx
%al% /out:..\cs\DevExpress.XtraEditors.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraEditors.LocalizationRes.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraGrid
%resgen% LocalizationRes.cs.resx
%resgen% Printing\CardViewPrinting.cs.resx CardViewPrinting.cs.resources
%resgen% Printing\GridViewPrinting.cs.resx GridViewPrinting.cs.resources
%al% /out:..\cs\DevExpress.XtraGrid.%VER_DLL%.Resources.dll /v:%VER_GRID% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraGrid.LocalizationRes.cs.resources /embed:CardViewPrinting.cs.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.cs.resources /embed:GridViewPrinting.cs.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraLayout
%resgen% LocalizationRes.cs.resx
%al% /out:..\cs\DevExpress.XtraLayout.%VER_DLL%.Resources.dll /v:%VER_LAYOUT% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraLayout.LocalizationRes.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraNavBar
%resgen% LocalizationRes.cs.resx
%al% /out:..\cs\DevExpress.XtraNavBar.%VER_DLL%.Resources.dll /v:%VER_NAVBAR% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraNavBar.LocalizationRes.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPivotGrid
%resgen% LocalizationRes.cs.resx
%al% /out:..\cs\DevExpress.XtraPivotGrid.%VER_DLL%.Core.Resources.dll /v:%VER_PIVOT% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraPivotGrid.LocalizationRes.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPrinting
%resgen% ComponentEditorForm.cs.resx
%resgen% LocalizationRes.cs.resx
%resgen% HeaderFooterForm.cs.resx
%resgen% WatermarkEditorForm.cs.resx
%al% /out:..\cs\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:cs /embed:ComponentEditorForm.cs.resources,DevExpress.XtraPrinting.ComponentEditorForm.cs.resources /embed:LocalizationRes.cs.resources,LocalizationRes.cs.resources /embed:HeaderFooterForm.cs.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.cs.resources /embed:WatermarkEditorForm.cs.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
%resgen% LocalizationRes.cs.resx
%resgen% SummaryEditorForm.cs.resx
%resgen% Design\SearchDialog.cs.resx SearchDialog.cs.resources
%resgen% Wizards\WizPageChooseFields.cs.resx WizPageChooseFields.cs.resources
%resgen% Wizards\WizPageGroupedLayout.cs.resx WizPageGroupedLayout.cs.resources
%resgen% Wizards\WizPageGrouping.cs.resx WizPageGrouping.cs.resources
%resgen% Wizards\WizPageLabelOptions.cs.resx WizPageLabelOptions.cs.resources
%resgen% Wizards\WizPageLabelType.cs.resx WizPageLabelType.cs.resources
%resgen% Wizards\WizPageLayoutBase.cs.resx WizPageLayoutBase.cs.resources
%resgen% Wizards\WizPageReportTitle.cs.resx WizPageReportTitle.cs.resources
%resgen% Wizards\WizPageStyle.cs.resx WizPageStyle.cs.resources
%resgen% Wizards\WizPageSummary.cs.resx WizPageSummary.cs.resources
%resgen% Wizards\WizPageTables.cs.resx WizPageTables.cs.resources
%resgen% Wizards\WizPageUngroupedLayout.cs.resx WizPageUngroupedLayout.cs.resources
%resgen% Wizards\WizPageWelcome.cs.resx WizPageWelcome.cs.resources
%resgen% Wizards\WizPreviewControl.cs.resx WizPreviewControl.cs.resources
%resgen% EndUserDesigner\XRDesignForm.cs.resx XRDesignForm.cs.resources
%resgen% EndUserDesigner\XRDesignFormEx.cs.resx XRDesignFormEx.cs.resources
%resgen% Wizards\XtraReportWizardForm.cs.resx XtraReportWizardForm.cs.resources
%al% /out:..\cs\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:cs /embed:LocalizationRes.cs.resources,LocalizationRes.cs.resources  /embed:SearchDialog.cs.resources,DevExpress.XtraReports.Native.SearchDialog.cs.resources /embed:SummaryEditorForm.cs.resources,DevExpress.XtraReports.Design.SummaryEditorForm.cs.resources /embed:WizPageChooseFields.cs.resources,DevExpress.XtraReports.Design.WizPageChooseFields.cs.resources /embed:WizPageGroupedLayout.cs.resources,DevExpress.XtraReports.Design.WizPageGroupedLayout.cs.resources /embed:WizPageGrouping.cs.resources,DevExpress.XtraReports.Design.WizPageGrouping.cs.resources /embed:WizPageLabelOptions.cs.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.cs.resources /embed:WizPageLabelType.cs.resources,DevExpress.XtraReports.Design.WizPageLabelType.cs.resources /embed:WizPageLayoutBase.cs.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.cs.resources /embed:WizPageReportTitle.cs.resources,DevExpress.XtraReports.Design.WizPageReportTitle.cs.resources /embed:WizPageStyle.cs.resources,DevExpress.XtraReports.Design.WizPageStyle.cs.resources /embed:WizPageSummary.cs.resources,DevExpress.XtraReports.Design.WizPageSummary.cs.resources /embed:WizPageTables.cs.resources,DevExpress.XtraReports.Design.WizPageTables.cs.resources /embed:WizPageUngroupedLayout.cs.resources,DevExpress.XtraReports.Design.WizPageUngroupedLayout.cs.resources /embed:WizPageWelcome.cs.resources,DevExpress.XtraReports.Design.WizPageWelcome.cs.resources /embed:WizPreviewControl.cs.resources,DevExpress.XtraReports.Design.PreviewControl.cs.resources /embed:XRDesignForm.cs.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormBase.cs.resources /embed:XRDesignFormEx.cs.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormExBase.cs.resources /embed:XtraReportWizardForm.cs.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraScheduler
%resgen% LocalizationRes.cs.resx
%resgen% Design\DailyRecurrenceControl.cs.resx DailyRecurrenceControl.cs.resources
%resgen% Design\MonthlyRecurrenceControl.cs.resx MonthlyRecurrenceControl.cs.resources
%resgen% Design\PageSetupFormatTabControl.cs.resx PageSetupFormatTabControl.cs.resources
%resgen% Design\PageSetupPaperTabControl.cs.resx PageSetupPaperTabControl.cs.resources
%resgen% Design\PrintRangeControl.cs.resx PrintRangeControl.cs.resources
%resgen% Design\TimeZonePropertiesControl.cs.resx TimeZonePropertiesControl.cs.resources
%resgen% Design\WeeklyRecurrenceControl.cs.resx WeeklyRecurrenceControl.cs.resources
%resgen% Design\YearlyRecurrenceControl.cs.resx YearlyRecurrenceControl.cs.resources
%resgen% Design\PrintStyleControls\CalendarDetailsPrintStyleOptionsControl.cs.resx CalendarDetailsPrintStyleOptionsControl.cs.resources
%resgen% Design\PrintStyleControls\DailyPrintStyleOptions.cs.resx DailyPrintStyleOptions.cs.resources
%resgen% Design\PrintStyleControls\MemoPrintStyleOptionsControl.cs.resx MemoPrintStyleOptionsControl.cs.resources
%resgen% Design\PrintStyleControls\MonthlyPrintStyleOptionsControl.cs.resx MonthlyPrintStyleOptionsControl.cs.resources
%resgen% Design\PrintStyleControls\picturePreviewControl.cs.resx picturePreviewControl.cs.resources
%resgen% Design\PrintStyleControls\PrintStyleOptionsControlBase.cs.resx PrintStyleOptionsControlBase.cs.resources
%resgen% Design\PrintStyleControls\TimeIntervalEditControl.cs.resx TimeIntervalEditControl.cs.resources
%resgen% Design\PrintStyleControls\TriFoldPrintStyleOptionsControl.cs.resx TriFoldPrintStyleOptionsControl.cs.resources
%resgen% Design\PrintStyleControls\WeeklyPrintStyleOptionsControl.cs.resx WeeklyPrintStyleOptionsControl.cs.resources
%resgen% Forms\AppointmentForm.cs.resx AppointmentForm.cs.resources
%resgen% Forms\AppointmentRecurrenceForm.cs.resx AppointmentRecurrenceForm.cs.resources
%resgen% Forms\DefineNewStyleForm.cs.resx DefineNewStyleForm.cs.resources
%resgen% Forms\GotoDateForm.cs.resx GotoDateForm.cs.resources
%resgen% Forms\PageSetupForm.cs.resx PageSetupForm.cs.resources
%resgen% Forms\RecurrentAppointmentDeleteForm.cs.resx RecurrentAppointmentDeleteForm.cs.resources
%resgen% Forms\RemindersForm.cs.resx RemindersForm.cs.resources
%resgen% Forms\ShadingSetupForm.cs.resx ShadingSetupForm.cs.resources
%resgen% Forms\TimeRulerForm.cs.resx TimeRulerForm.cs.resources
%al% /out:..\cs\DevExpress.XtraScheduler.%VER_DLL%.Resources.Dll /v:%VER_SCHEDULER% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraScheduler.LocalizationRes.cs.resources /embed:DailyRecurrenceControl.cs.resources,DevExpress.XtraScheduler.UI.DailyRecurrenceControl.cs.resources /embed:MonthlyRecurrenceControl.cs.resources,DevExpress.XtraScheduler.UI.MonthlyRecurrenceControl.cs.resources /embed:PageSetupFormatTabControl.cs.resources,DevExpress.XtraScheduler.Design.PageSetupFormatTabControl.cs.resources /embed:PageSetupPaperTabControl.cs.resources,DevExpress.XtraScheduler.Design.PageSetupPaperTabControl.cs.resources /embed:PrintRangeControl.cs.resources,DevExpress.XtraScheduler.Design.PrintRangeControl.cs.resources /embed:TimeZonePropertiesControl.cs.resources,DevExpress.XtraScheduler.UI.TimeZonePropertiesControl.cs.resources /embed:WeeklyRecurrenceControl.cs.resources,DevExpress.XtraScheduler.UI.WeeklyRecurrenceControl.cs.resources /embed:YearlyRecurrenceControl.cs.resources,DevExpress.XtraScheduler.UI.YearlyRecurrenceControl.cs.resources /embed:CalendarDetailsPrintStyleOptionsControl.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.CalendarDetailsPrintStyleOptionsControl.cs.resources /embed:DailyPrintStyleOptions.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.DailyPrintStyleOptions.cs.resources /embed:MemoPrintStyleOptionsControl.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MemoPrintStyleOptionsControl.cs.resources /embed:MonthlyPrintStyleOptionsControl.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MonthlyPrintStyleOptionsControl.cs.resources /embed:picturePreviewControl.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.picturePreviewControl.cs.resources /embed:PrintStyleOptionsControlBase.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.PrintStyleOptionsControlBase.cs.resources /embed:TimeIntervalEditControl.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TimeOfDayIntervalEditControl.cs.resources /embed:TriFoldPrintStyleOptionsControl.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TriFoldPrintStyleOptionsControl.cs.resources /embed:WeeklyPrintStyleOptionsControl.cs.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.WeeklyPrintStyleOptionsControl.cs.resources /embed:AppointmentForm.cs.resources,DevExpress.XtraScheduler.UI.AppointmentForm.cs.resources /embed:AppointmentRecurrenceForm.cs.resources,DevExpress.XtraScheduler.UI.AppointmentRecurrenceForm.cs.resources /embed:DefineNewStyleForm.cs.resources,DevExpress.XtraScheduler.Forms.DefineNewStylesForm.cs.resources /embed:GotoDateForm.cs.resources,DevExpress.XtraScheduler.UI.GotoDateForm.cs.resources /embed:PageSetupForm.cs.resources,DevExpress.XtraScheduler.Forms.PageSetupForm.cs.resources /embed:RecurrentAppointmentDeleteForm.cs.resources,DevExpress.XtraScheduler.Forms.RecurrentAppointmentDeleteForm.cs.resources /embed:RemindersForm.cs.resources,DevExpress.XtraScheduler.Forms.RemindersForm.cs.resources /embed:ShadingSetupForm.cs.resources,DevExpress.XtraScheduler.Forms.ShadingSetupForm.cs.resources /embed:TimeRulerForm.cs.resources,DevExpress.XtraScheduler.Forms.TimeRulerForm.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraTreeList
%resgen% LocalizationRes.cs.resx
%resgen% Printing\PrintDesigner.cs.resx PrintDesigner.cs.resources
%al% /out:..\cs\DevExpress.XtraTreeList.%VER_DLL%.Resources.dll /v:%VER_TREELIST% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraTreeList.LocalizationRes.cs.resources /embed:PrintDesigner.cs.resources,DevExpress.XtraTreeList.Frames.TreeListPrinting.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraVerticalGrid
%resgen% LocalizationRes.cs.resx
%al% /out:..\cs\DevExpress.XtraVerticalGrid.%VER_DLL%.Resources.dll /v:%VER_VERTG% /culture:cs /embed:LocalizationRes.cs.resources,DevExpress.XtraVerticalGrid.Localization.LocalizationRes.cs.resources /keyfile:%KEYFILE%
del *.resources
cd..
