@echo off
call ..\DefineVersions.bat
call ..\NET1.bat

cd Utils
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.Utils.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:pl /embed:LocalizationRes.pl.resources,LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraBars
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.XtraBars.%VER_DLL%.Resources.dll /v:%VER_BARS% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraBars.LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraCharts
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.XtraCharts.%VER_DLL%.Resources.dll /v:%VER_CHARTS% /culture:pl /embed:LocalizationRes.pl.resources,LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraEditors
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.XtraEditors.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraEditors.LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraGrid
%resgen% LocalizationRes.pl.resx
%resgen% Printing\CardViewPrinting.pl.resx CardViewPrinting.pl.resources
%resgen% Printing\GridViewPrinting.pl.resx GridViewPrinting.pl.resources
%al% /out:..\pl\DevExpress.XtraGrid.%VER_DLL%.Resources.dll /v:%VER_GRID% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraGrid.LocalizationRes.pl.resources /embed:CardViewPrinting.pl.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.pl.resources /embed:GridViewPrinting.pl.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraLayout
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.XtraLayout.%VER_DLL%.Resources.dll /v:%VER_LAYOUT% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraLayout.LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraNavBar
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.XtraNavBar.%VER_DLL%.Resources.dll /v:%VER_NAVBAR% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraNavBar.LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPivotGrid
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.XtraPivotGrid.%VER_DLL%.Core.Resources.dll /v:%VER_PIVOT% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraPivotGrid.LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraPrinting
%resgen% ComponentEditorForm.pl.resx
%resgen% LocalizationRes.pl.resx
%resgen% HeaderFooterForm.pl.resx
%resgen% WatermarkEditorForm.pl.resx
%al% /out:..\pl\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:pl /embed:ComponentEditorForm.pl.resources,DevExpress.XtraPrinting.ComponentEditorForm.pl.resources /embed:LocalizationRes.pl.resources,LocalizationRes.pl.resources /embed:HeaderFooterForm.pl.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.pl.resources /embed:WatermarkEditorForm.pl.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
%resgen% LocalizationRes.pl.resx
%resgen% Design\SearchDialog.pl.resx SearchDialog.pl.resources
%resgen% SummaryEditorForm.pl.resx
%resgen% Wizards\WizPageChooseFields.pl.resx WizPageChooseFields.pl.resources
%resgen% Wizards\WizPageConnection.pl.resx WizPageConnection.pl.resources
%resgen% Wizards\WizPageDataset.pl.resx WizPageDataset.pl.resources
%resgen% Wizards\WizPageGroupedLayout.pl.resx WizPageGroupedLayout.pl.resources
%resgen% Wizards\WizPageGrouping.pl.resx WizPageGrouping.pl.resources
%resgen% Wizards\WizPageLabelOptions.pl.resx WizPageLabelOptions.pl.resources
%resgen% Wizards\WizPageLabelType.pl.resx WizPageLabelType.pl.resources
%resgen% Wizards\WizPageLayoutBase.pl.resx WizPageLayoutBase.pl.resources
%resgen% Wizards\WizPageReportTitle.pl.resx WizPageReportTitle.pl.resources
%resgen% Wizards\WizPageStyle.pl.resx WizPageStyle.pl.resources
%resgen% Wizards\WizPageSummary.pl.resx WizPageSummary.pl.resources
%resgen% Wizards\WizPageTables.pl.resx WizPageTables.pl.resources
%resgen% Wizards\WizPageUngroupedLayout.pl.resx WizPageUngroupedLayout.pl.resources
%resgen% Wizards\WizPageWelcome.pl.resx WizPageWelcome.pl.resources
%resgen% Wizards\WizPreviewControl.pl.resx WizPreviewControl.pl.resources
%resgen% Wizards\XtraReportWizardForm.pl.resx XtraReportWizardForm.pl.resources
%resgen% EndUserDesigner\XRDesignForm.pl.resx XRDesignForm.pl.resources
%resgen% EndUserDesigner\XRDesignFormEx.pl.resx XRDesignFormEx.pl.resources
%al% /out:..\pl\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:pl /embed:LocalizationRes.pl.resources,LocalizationRes.pl.resources  /embed:SearchDialog.pl.resources,DevExpress.XtraReports.Native.SearchDialog.pl.resources /embed:SummaryEditorForm.pl.resources,DevExpress.XtraReports.Design.SummaryEditorForm.pl.resources /embed:WizPageChooseFields.pl.resources,DevExpress.XtraReports.Design.WizPageChooseFields.pl.resources /embed:WizPageConnection.pl.resources,DevExpress.XtraReports.Design.WizPageConnection.pl.resources /embed:WizPageDataset.pl.resources,DevExpress.XtraReports.Design.WizPageDataset.pl.resources /embed:WizPageGroupedLayout.pl.resources,DevExpress.XtraReports.Design.WizPageGroupedLayout.pl.resources /embed:WizPageGrouping.pl.resources,DevExpress.XtraReports.Design.WizPageGrouping.pl.resources /embed:WizPageLabelOptions.pl.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.pl.resources /embed:WizPageLabelType.pl.resources,DevExpress.XtraReports.Design.WizPageLabelType.pl.resources /embed:WizPageLayoutBase.pl.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.pl.resources /embed:WizPageReportTitle.pl.resources,DevExpress.XtraReports.Design.WizPageReportTitle.pl.resources /embed:WizPageStyle.pl.resources,DevExpress.XtraReports.Design.WizPageStyle.pl.resources /embed:WizPageSummary.pl.resources,DevExpress.XtraReports.Design.WizPageSummary.pl.resources /embed:WizPageTables.pl.resources,DevExpress.XtraReports.Design.WizPageTables.pl.resources /embed:WizPageUngroupedLayout.pl.resources,DevExpress.XtraReports.Design.WizPageUngroupedLayout.pl.resources /embed:WizPageWelcome.pl.resources,DevExpress.XtraReports.Design.WizPageWelcome.pl.resources /embed:WizPreviewControl.pl.resources,DevExpress.XtraReports.Design.PreviewControl.pl.resources /embed:XRDesignForm.pl.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormBase.pl.resources /embed:XRDesignFormEx.pl.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormExBase.pl.resources /embed:XtraReportWizardForm.pl.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraScheduler
%resgen% LocalizationRes.pl.resx
rem %resgen% Design\DailyRecurrenceControl.pl.resx DailyRecurrenceControl.pl.resources
rem %resgen% Design\MonthlyRecurrenceControl.pl.resx MonthlyRecurrenceControl.pl.resources
rem %resgen% Design\PageSetupFormatTabControl.pl.resx PageSetupFormatTabControl.pl.resources
rem %resgen% Design\PageSetupPaperTabControl.pl.resx PageSetupPaperTabControl.pl.resources
rem %resgen% Design\PrintRangeControl.pl.resx PrintRangeControl.pl.resources
rem %resgen% Design\TimeZonePropertiesControl.pl.resx TimeZonePropertiesControl.pl.resources
rem %resgen% Design\WeeklyRecurrenceControl.pl.resx WeeklyRecurrenceControl.pl.resources
rem %resgen% Design\YearlyRecurrenceControl.pl.resx YearlyRecurrenceControl.pl.resources
rem %resgen% Design\PrintStyleControls\CalendarDetailsPrintStyleOptionsControl.pl.resx CalendarDetailsPrintStyleOptionsControl.pl.resources
rem %resgen% Design\PrintStyleControls\DailyPrintStyleOptions.pl.resx DailyPrintStyleOptions.pl.resources
rem %resgen% Design\PrintStyleControls\MemoPrintStyleOptionsControl.pl.resx MemoPrintStyleOptionsControl.pl.resources
rem %resgen% Design\PrintStyleControls\MonthlyPrintStyleOptionsControl.pl.resx MonthlyPrintStyleOptionsControl.pl.resources
rem %resgen% Design\PrintStyleControls\picturePreviewControl.pl.resx picturePreviewControl.pl.resources
rem %resgen% Design\PrintStyleControls\PrintStyleOptionsControlBase.pl.resx PrintStyleOptionsControlBase.pl.resources
rem %resgen% Design\PrintStyleControls\TimeIntervalEditControl.pl.resx TimeIntervalEditControl.pl.resources
rem %resgen% Design\PrintStyleControls\TriFoldPrintStyleOptionsControl.pl.resx TriFoldPrintStyleOptionsControl.pl.resources
rem %resgen% Design\PrintStyleControls\WeeklyPrintStyleOptionsControl.pl.resx WeeklyPrintStyleOptionsControl.pl.resources
%resgen% Forms\AppointmentForm.pl.resx AppointmentForm.pl.resources
%resgen% Forms\AppointmentRecurrenceForm.pl.resx AppointmentRecurrenceForm.pl.resources
%resgen% Forms\DefineNewStyleForm.pl.resx DefineNewStyleForm.pl.resources
%resgen% Forms\GotoDateForm.pl.resx GotoDateForm.pl.resources
%resgen% Forms\PageSetupForm.pl.resx PageSetupForm.pl.resources
%resgen% Forms\RecurrentAppointmentDeleteForm.pl.resx RecurrentAppointmentDeleteForm.pl.resources
%resgen% Forms\RemindersForm.pl.resx RemindersForm.pl.resources
%resgen% Forms\ShadingSetupForm.pl.resx ShadingSetupForm.pl.resources
%resgen% Forms\TimeRulerForm.pl.resx TimeRulerForm.pl.resources
rem %al% /out:..\pl\DevExpress.XtraScheduler.%VER_DLL%.Resources.Dll /v:%VER_SCHEDULER% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraScheduler.LocalizationRes.pl.resources /embed:DailyRecurrenceControl.pl.resources,DevExpress.XtraScheduler.UI.DailyRecurrenceControl.pl.resources /embed:MonthlyRecurrenceControl.pl.resources,DevExpress.XtraScheduler.UI.MonthlyRecurrenceControl.pl.resources /embed:PageSetupFormatTabControl.pl.resources,DevExpress.XtraScheduler.Design.PageSetupFormatTabControl.pl.resources /embed:PageSetupPaperTabControl.pl.resources,DevExpress.XtraScheduler.Design.PageSetupPaperTabControl.pl.resources /embed:PrintRangeControl.pl.resources,DevExpress.XtraScheduler.Design.PrintRangeControl.pl.resources /embed:TimeZonePropertiesControl.pl.resources,DevExpress.XtraScheduler.UI.TimeZonePropertiesControl.pl.resources /embed:WeeklyRecurrenceControl.pl.resources,DevExpress.XtraScheduler.UI.WeeklyRecurrenceControl.pl.resources /embed:YearlyRecurrenceControl.pl.resources,DevExpress.XtraScheduler.UI.YearlyRecurrenceControl.pl.resources /embed:CalendarDetailsPrintStyleOptionsControl.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.CalendarDetailsPrintStyleOptionsControl.pl.resources /embed:DailyPrintStyleOptions.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.DailyPrintStyleOptions.pl.resources /embed:MemoPrintStyleOptionsControl.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MemoPrintStyleOptionsControl.pl.resources /embed:MonthlyPrintStyleOptionsControl.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MonthlyPrintStyleOptionsControl.pl.resources /embed:picturePreviewControl.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.picturePreviewControl.pl.resources /embed:PrintStyleOptionsControlBase.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.PrintStyleOptionsControlBase.pl.resources /embed:TimeIntervalEditControl.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TimeOfDayIntervalEditControl.pl.resources /embed:TriFoldPrintStyleOptionsControl.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TriFoldPrintStyleOptionsControl.pl.resources /embed:WeeklyPrintStyleOptionsControl.pl.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.WeeklyPrintStyleOptionsControl.pl.resources /embed:AppointmentForm.pl.resources,DevExpress.XtraScheduler.UI.AppointmentForm.pl.resources /embed:AppointmentRecurrenceForm.pl.resources,DevExpress.XtraScheduler.UI.AppointmentRecurrenceForm.pl.resources /embed:DefineNewStyleForm.pl.resources,DevExpress.XtraScheduler.Forms.DefineNewStylesForm.pl.resources /embed:GotoDateForm.pl.resources,DevExpress.XtraScheduler.UI.GotoDateForm.pl.resources /embed:PageSetupForm.pl.resources,DevExpress.XtraScheduler.Forms.PageSetupForm.pl.resources /embed:RecurrentAppointmentDeleteForm.pl.resources,DevExpress.XtraScheduler.Forms.RecurrentAppointmentDeleteForm.pl.resources /embed:RemindersForm.pl.resources,DevExpress.XtraScheduler.Forms.RemindersForm.pl.resources /embed:ShadingSetupForm.pl.resources,DevExpress.XtraScheduler.Forms.ShadingSetupForm.pl.resources /embed:TimeRulerForm.pl.resources,DevExpress.XtraScheduler.Forms.TimeRulerForm.pl.resources /keyfile:%KEYFILE%
%al% /out:..\pl\DevExpress.XtraScheduler.%VER_DLL%.Resources.Dll /v:%VER_SCHEDULER% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraScheduler.LocalizationRes.pl.resources /embed:AppointmentForm.pl.resources,DevExpress.XtraScheduler.UI.AppointmentForm.pl.resources /embed:AppointmentRecurrenceForm.pl.resources,DevExpress.XtraScheduler.UI.AppointmentRecurrenceForm.pl.resources /embed:DefineNewStyleForm.pl.resources,DevExpress.XtraScheduler.Forms.DefineNewStylesForm.pl.resources /embed:GotoDateForm.pl.resources,DevExpress.XtraScheduler.UI.GotoDateForm.pl.resources /embed:PageSetupForm.pl.resources,DevExpress.XtraScheduler.Forms.PageSetupForm.pl.resources /embed:RecurrentAppointmentDeleteForm.pl.resources,DevExpress.XtraScheduler.Forms.RecurrentAppointmentDeleteForm.pl.resources /embed:RemindersForm.pl.resources,DevExpress.XtraScheduler.Forms.RemindersForm.pl.resources /embed:ShadingSetupForm.pl.resources,DevExpress.XtraScheduler.Forms.ShadingSetupForm.pl.resources /embed:TimeRulerForm.pl.resources,DevExpress.XtraScheduler.Forms.TimeRulerForm.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraTreeList
%resgen% LocalizationRes.pl.resx
%resgen% Printing\PrintDesigner.pl.resx PrintDesigner.pl.resources
%al% /out:..\pl\DevExpress.XtraTreeList.%VER_DLL%.Resources.dll /v:%VER_TREELIST% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraTreeList.LocalizationRes.pl.resources /embed:PrintDesigner.pl.resources,DevExpress.XtraTreeList.Frames.TreeListPrinting.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraVerticalGrid
%resgen% LocalizationRes.pl.resx
%al% /out:..\pl\DevExpress.XtraVerticalGrid.%VER_DLL%.Resources.dll /v:%VER_VERTG% /culture:pl /embed:LocalizationRes.pl.resources,DevExpress.XtraVerticalGrid.Localization.LocalizationRes.pl.resources /keyfile:%KEYFILE%
del *.resources
cd..