@echo off
call ..\DefineVersions.bat
call ..\NET1.bat

cd Utils
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.Utils.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:pt /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraBars
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraBars.%VER_DLL%.Resources.dll /v:%VER_BARS% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraBars.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraCharts
%resgen% LocalizationRes.pt.resx
%resgen% Design\ChartTitleEditorForm.pt.resx ChartTitleEditorForm.pt.resources
%resgen% Design\CollectionEditorForm.pt.resx CollectionEditorForm.pt.resources
%resgen% Design\ConstantLineCollectionEditorForm.pt.resx ConstantLineCollectionEditorForm.pt.resources
%resgen% Design\CustomAxisLabelCollectionEditorForm.pt.resx CustomAxisLabelCollectionEditorForm.pt.resources
%resgen% Design\DataFilterCollectionForm.pt.resx DataFilterCollectionForm.pt.resources
%resgen% Design\DataMemberPicker.pt.resx DataMemberPicker.pt.resources
%resgen% Design\PaletteEditorForm.pt.resx PaletteEditorForm.pt.resources
%resgen% Design\SeriesCollectionForm.pt.resx SeriesCollectionForm.pt.resources
%resgen% Design\StringCollectionEditorForm.pt.resx StringCollectionEditorForm.pt.resources
%resgen% Design\StripCollectionEditorForm.pt.resx StripCollectionEditorForm.pt.resources
%resgen% Design\ValueDataMemberEditorForm.pt.resx ValueDataMemberEditorForm.pt.resources
%resgen% Design\ViewTypesForm.pt.resx ViewTypesForm.pt.resources
%resgen% Design\Wizard\ChartAppearanceControl.pt.resx ChartAppearanceControl.pt.resources
%resgen% Design\Wizard\ChartAxesControl.pt.resx ChartAxesControl.pt.resources
%resgen% Design\Wizard\ChartAxisControl.pt.resx ChartAxisControl.pt.resources
%resgen% Design\Wizard\ChartDataControl.pt.resx ChartDataControl.pt.resources
%resgen% Design\Wizard\ChartLegendControl.pt.resx ChartLegendControl.pt.resources
%resgen% Design\Wizard\ChartTitlesControl.pt.resx ChartTitlesControl.pt.resources
%resgen% Design\Wizard\ChartTypeControl.pt.resx ChartTypeControl.pt.resources
%resgen% Design\Wizard\ChartWizardControl.pt.resx ChartWizardControl.pt.resources
%resgen% Design\Wizard\ChartWizardForm.pt.resx ChartWizardForm.pt.resources
%resgen% Design\Wizard\FontEditControl.pt.resx FontEditControl.pt.resources
%resgen% Design\Wizard\SeriesLabelsControl.pt.resx SeriesLabelsControl.pt.resources
%al% /out:..\pt\DevExpress.XtraCharts.%VER_DLL%.Resources.dll /v:%VER_CHARTS% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraCharts.LocalizationRes.pt.resources /embed:ChartTitleEditorForm.pt.resources,DevExpress.XtraCharts.Design.ChartTitleEditorForm.pt.resources /embed:CollectionEditorForm.pt.resources,DevExpress.XtraCharts.Design.CollectionEditorForm.pt.resources /embed:ConstantLineCollectionEditorForm.pt.resources,DevExpress.XtraCharts.Design.ConstantLineCollectionEditorForm.pt.resources /embed:CustomAxisLabelCollectionEditorForm.pt.resources,DevExpress.XtraCharts.Design.CustomAxisLabelCollectionEditorForm.pt.resources /embed:DataFilterCollectionForm.pt.resources,DevExpress.XtraCharts.Design.DataFilterCollectionForm.pt.resources /embed:DataMemberPicker.pt.resources,DevExpress.XtraCharts.Design.DataMemberPicker.pt.resources /embed:PaletteEditorForm.pt.resources,DevExpress.XtraCharts.Design.PaletteEditorForm.pt.resources /embed:SeriesCollectionForm.pt.resources,DevExpress.XtraCharts.Design.SeriesCollectionForm.pt.resources /embed:StringCollectionEditorForm.pt.resources,DevExpress.XtraCharts.Design.StringCollectionEditorForm.pt.resources /embed:StripCollectionEditorForm.pt.resources,DevExpress.XtraCharts.Design.StripCollectionEditorForm.pt.resources /embed:ValueDataMemberEditorForm.pt.resources,DevExpress.XtraCharts.Design.ValueDataMemberEditorForm.pt.resources /embed:ViewTypesForm.pt.resources,DevExpress.XtraCharts.Design.ViewTypesForm.pt.resources /embed:ChartAppearanceControl.pt.resources,DevExpress.XtraCharts.Design.ChartAppearanceControl.pt.resources /embed:ChartAxesControl.pt.resources,DevExpress.XtraCharts.Design.ChartAxesControl.pt.resources /embed:ChartAxisControl.pt.resources,DevExpress.XtraCharts.Design.ChartAxisControl.pt.resources /embed:ChartDataControl.pt.resources,DevExpress.XtraCharts.Design.ChartDataControl.pt.resources /embed:ChartLegendControl.pt.resources,DevExpress.XtraCharts.Design.ChartLegendControl.pt.resources /embed:ChartTitlesControl.pt.resources,DevExpress.XtraCharts.Design.ChartTitlesControl.pt.resources /embed:ChartTypeControl.pt.resources,DevExpress.XtraCharts.Design.ChartTypeControl.pt.resources /embed:ChartWizardControl.pt.resources,DevExpress.XtraCharts.Design.ChartWizardControl.pt.resources /embed:ChartWizardForm.pt.resources,DevExpress.XtraCharts.Design.ChartWizardForm.pt.resources /embed:FontEditControl.pt.resources,DevExpress.XtraCharts.Design.Wizard.FontEditControl.pt.resources /embed:SeriesLabelsControl.pt.resources,DevExpress.XtraCharts.Design.SeriesLabelsControl.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraEditors
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraEditors.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraEditors.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraGrid
%resgen% LocalizationRes.pt.resx
%resgen% Printing\CardViewPrinting.pt.resx CardViewPrinting.pt.resources
%resgen% Printing\GridViewPrinting.pt.resx GridViewPrinting.pt.resources
%al% /out:..\pt\DevExpress.XtraGrid.%VER_DLL%.Resources.dll /v:%VER_GRID% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraGrid.LocalizationRes.pt.resources /embed:CardViewPrinting.pt.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.pt.resources /embed:GridViewPrinting.pt.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraLayout
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraLayout.%VER_DLL%.Resources.dll /v:%VER_LAYOUT% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraLayout.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraNavBar
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraNavBar.%VER_DLL%.Resources.dll /v:%VER_NAVBAR% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraNavBar.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPivotGrid
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraPivotGrid.%VER_DLL%.Core.Resources.dll /v:%VER_PIVOT% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraPivotGrid.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraPrinting
%resgen% ComponentEditorForm.pt.resx
%resgen% LocalizationRes.pt.resx
rem %resgen% HeaderFooterForm.pt.resx
rem %resgen% WatermarkEditorForm.pt.resx
rem %al% /out:..\pt\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:pt /embed:ComponentEditorForm.pt.resources,DevExpress.XtraPrinting.ComponentEditorForm.pt.resources /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources /embed:HeaderFooterForm.pt.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.pt.resources /embed:WatermarkEditorForm.pt.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.pt.resources /keyfile:%KEYFILE%
%al% /out:..\pt\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:pt /embed:ComponentEditorForm.pt.resources,DevExpress.XtraPrinting.ComponentEditorForm.pt.resources /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
%resgen% LocalizationRes.pt.resx
rem %resgen% Design\SearchDialog.pt.resx SearchDialog.pt.resources
%resgen% Wizards\WizPageChooseFields.pt.resx WizPageChooseFields.pt.resources
rem %resgen% Wizards\WizPageGroupedLayout.pt.resx WizPageGroupedLayout.pt.resources
%resgen% Wizards\WizPageGrouping.pt.resx WizPageGrouping.pt.resources
%resgen% Wizards\WizPageLabelOptions.pt.resx WizPageLabelOptions.pt.resources
%resgen% Wizards\WizPageLabelType.pt.resx WizPageLabelType.pt.resources
%resgen% Wizards\WizPageLayoutBase.pt.resx WizPageLayoutBase.pt.resources
%resgen% Wizards\WizPageReportTitle.pt.resx WizPageReportTitle.pt.resources
%resgen% Wizards\WizPageStyle.pt.resx WizPageStyle.pt.resources
%resgen% Wizards\WizPageSummary.pt.resx WizPageSummary.pt.resources
rem %resgen% Wizards\WizPageUngroupedLayout.pt.resx WizPageUngroupedLayout.pt.resources
%resgen% Wizards\WizPageWelcome.pt.resx WizPageWelcome.pt.resources
%resgen% Wizards\XtraReportWizardForm.pt.resx XtraReportWizardForm.pt.resources
rem %al% /out:..\pt\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:pt /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources  /embed:WizPageChooseFields.pt.resources,DevExpress.XtraReports.Design.WizPageChooseFields.pt.resources /embed:WizPageGrouping.pt.resources,DevExpress.XtraReports.Design.WizPageGrouping.pt.resources /embed:WizPageLabelOptions.pt.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.pt.resources /embed:WizPageLabelType.pt.resources,DevExpress.XtraReports.Design.WizPageLabelType.pt.resources /embed:WizPageLayoutBase.pt.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.pt.resources /embed:WizPageReportTitle.pt.resources,DevExpress.XtraReports.Design.WizPageReportTitle.pt.resources /embed:WizPageStyle.pt.resources,DevExpress.XtraReports.Design.WizPageStyle.pt.resources /embed:WizPageSummary.pt.resources,DevExpress.XtraReports.Design.WizPageSummary.pt.resources /embed:WizPageWelcome.pt.resources,DevExpress.XtraReports.Design.WizPageWelcome.pt.resources /embed:XtraReportWizardForm.pt.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.pt.resources /embed:SearchDialog.pt.resources,DevExpress.XtraReports.Native.SearchDialog.pt.resources /keyfile:%KEYFILE%
%al% /out:..\pt\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:pt /embed:LocalizationRes.pt.resources,LocalizationRes.pt.resources  /embed:WizPageChooseFields.pt.resources,DevExpress.XtraReports.Design.WizPageChooseFields.pt.resources /embed:WizPageGrouping.pt.resources,DevExpress.XtraReports.Design.WizPageGrouping.pt.resources /embed:WizPageLabelOptions.pt.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.pt.resources /embed:WizPageLabelType.pt.resources,DevExpress.XtraReports.Design.WizPageLabelType.pt.resources /embed:WizPageLayoutBase.pt.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.pt.resources /embed:WizPageReportTitle.pt.resources,DevExpress.XtraReports.Design.WizPageReportTitle.pt.resources /embed:WizPageStyle.pt.resources,DevExpress.XtraReports.Design.WizPageStyle.pt.resources /embed:WizPageSummary.pt.resources,DevExpress.XtraReports.Design.WizPageSummary.pt.resources /embed:WizPageWelcome.pt.resources,DevExpress.XtraReports.Design.WizPageWelcome.pt.resources /embed:XtraReportWizardForm.pt.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraScheduler
%resgen% LocalizationRes.pt.resx
%resgen% Design\DailyRecurrenceControl.pt.resx DailyRecurrenceControl.pt.resources
%resgen% Design\MonthlyRecurrenceControl.pt.resx MonthlyRecurrenceControl.pt.resources
%resgen% Design\PageSetupFormatTabControl.pt.resx PageSetupFormatTabControl.pt.resources
%resgen% Design\PageSetupPaperTabControl.pt.resx PageSetupPaperTabControl.pt.resources
%resgen% Design\PrintRangeControl.pt.resx PrintRangeControl.pt.resources
%resgen% Design\TimeZonePropertiesControl.pt.resx TimeZonePropertiesControl.pt.resources
%resgen% Design\WeeklyRecurrenceControl.pt.resx WeeklyRecurrenceControl.pt.resources
%resgen% Design\YearlyRecurrenceControl.pt.resx YearlyRecurrenceControl.pt.resources
%resgen% Design\PrintStyleControls\CalendarDetailsPrintStyleOptionsControl.pt.resx CalendarDetailsPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\DailyPrintStyleOptions.pt.resx DailyPrintStyleOptions.pt.resources
%resgen% Design\PrintStyleControls\MemoPrintStyleOptionsControl.pt.resx MemoPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\MonthlyPrintStyleOptionsControl.pt.resx MonthlyPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\picturePreviewControl.pt.resx picturePreviewControl.pt.resources
%resgen% Design\PrintStyleControls\PrintStyleOptionsControlBase.pt.resx PrintStyleOptionsControlBase.pt.resources
%resgen% Design\PrintStyleControls\TimeIntervalEditControl.pt.resx TimeIntervalEditControl.pt.resources
%resgen% Design\PrintStyleControls\TriFoldPrintStyleOptionsControl.pt.resx TriFoldPrintStyleOptionsControl.pt.resources
%resgen% Design\PrintStyleControls\WeeklyPrintStyleOptionsControl.pt.resx WeeklyPrintStyleOptionsControl.pt.resources
%resgen% Forms\AppointmentForm.pt.resx AppointmentForm.pt.resources
%resgen% Forms\AppointmentRecurrenceForm.pt.resx AppointmentRecurrenceForm.pt.resources
%resgen% Forms\DefineNewStyleForm.pt.resx DefineNewStyleForm.pt.resources
%resgen% Forms\GotoDateForm.pt.resx GotoDateForm.pt.resources
%resgen% Forms\PageSetupForm.pt.resx PageSetupForm.pt.resources
%resgen% Forms\RecurrentAppointmentDeleteForm.pt.resx RecurrentAppointmentDeleteForm.pt.resources
%resgen% Forms\RemindersForm.pt.resx RemindersForm.pt.resources
%resgen% Forms\ShadingSetupForm.pt.resx ShadingSetupForm.pt.resources
%resgen% Forms\TimeRulerForm.pt.resx TimeRulerForm.pt.resources
%al% /out:..\pt\DevExpress.XtraScheduler.%VER_DLL%.Resources.Dll /v:%VER_SCHEDULER% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraScheduler.LocalizationRes.pt.resources /embed:DailyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.DailyRecurrenceControl.pt.resources /embed:MonthlyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.MonthlyRecurrenceControl.pt.resources /embed:PageSetupFormatTabControl.pt.resources,DevExpress.XtraScheduler.Design.PageSetupFormatTabControl.pt.resources /embed:PageSetupPaperTabControl.pt.resources,DevExpress.XtraScheduler.Design.PageSetupPaperTabControl.pt.resources /embed:PrintRangeControl.pt.resources,DevExpress.XtraScheduler.Design.PrintRangeControl.pt.resources /embed:TimeZonePropertiesControl.pt.resources,DevExpress.XtraScheduler.UI.TimeZonePropertiesControl.pt.resources /embed:WeeklyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.WeeklyRecurrenceControl.pt.resources /embed:YearlyRecurrenceControl.pt.resources,DevExpress.XtraScheduler.UI.YearlyRecurrenceControl.pt.resources /embed:CalendarDetailsPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.CalendarDetailsPrintStyleOptionsControl.pt.resources /embed:DailyPrintStyleOptions.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.DailyPrintStyleOptions.pt.resources /embed:MemoPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MemoPrintStyleOptionsControl.pt.resources /embed:MonthlyPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.MonthlyPrintStyleOptionsControl.pt.resources /embed:picturePreviewControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.picturePreviewControl.pt.resources /embed:PrintStyleOptionsControlBase.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.PrintStyleOptionsControlBase.pt.resources /embed:TimeIntervalEditControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TimeOfDayIntervalEditControl.pt.resources /embed:TriFoldPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.TriFoldPrintStyleOptionsControl.pt.resources /embed:WeeklyPrintStyleOptionsControl.pt.resources,DevExpress.XtraScheduler.Design.PrintStyleControls.WeeklyPrintStyleOptionsControl.pt.resources /embed:AppointmentForm.pt.resources,DevExpress.XtraScheduler.UI.AppointmentForm.pt.resources /embed:AppointmentRecurrenceForm.pt.resources,DevExpress.XtraScheduler.UI.AppointmentRecurrenceForm.pt.resources /embed:DefineNewStyleForm.pt.resources,DevExpress.XtraScheduler.Forms.DefineNewStylesForm.pt.resources /embed:GotoDateForm.pt.resources,DevExpress.XtraScheduler.UI.GotoDateForm.pt.resources /embed:PageSetupForm.pt.resources,DevExpress.XtraScheduler.Forms.PageSetupForm.pt.resources /embed:RecurrentAppointmentDeleteForm.pt.resources,DevExpress.XtraScheduler.Forms.RecurrentAppointmentDeleteForm.pt.resources /embed:RemindersForm.pt.resources,DevExpress.XtraScheduler.Forms.RemindersForm.pt.resources /embed:ShadingSetupForm.pt.resources,DevExpress.XtraScheduler.Forms.ShadingSetupForm.pt.resources /embed:TimeRulerForm.pt.resources,DevExpress.XtraScheduler.Forms.TimeRulerForm.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraTreeList
%resgen% LocalizationRes.pt.resx
%resgen% Printing\PrintDesigner.pt.resx PrintDesigner.pt.resources
%al% /out:..\pt\DevExpress.XtraTreeList.%VER_DLL%.Resources.dll /v:%VER_TREELIST% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraTreeList.LocalizationRes.pt.resources /embed:PrintDesigner.pt.resources,DevExpress.XtraTreeList.Frames.TreeListPrinting.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraVerticalGrid
%resgen% LocalizationRes.pt.resx
%al% /out:..\pt\DevExpress.XtraVerticalGrid.%VER_DLL%.Resources.dll /v:%VER_VERTG% /culture:pt /embed:LocalizationRes.pt.resources,DevExpress.XtraVerticalGrid.Localization.LocalizationRes.pt.resources /keyfile:%KEYFILE%
del *.resources
cd..