@echo off
call ..\DefineVersions.bat
call ..\NET1.bat

cd Utils
%resgen% LocalizationRes.el.resx
%al% /out:..\el\DevExpress.Utils.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:el /embed:LocalizationRes.el.resources,LocalizationRes.el.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraBars
%resgen% LocalizationRes.el.resx
%al% /out:..\el\DevExpress.XtraBars.%VER_DLL%.Resources.dll /v:%VER_BARS% /culture:el /embed:LocalizationRes.el.resources,DevExpress.XtraBars.LocalizationRes.el.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraEditors
%resgen% LocalizationRes.el.resx
%al% /out:..\el\DevExpress.XtraEditors.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:el /embed:LocalizationRes.el.resources,DevExpress.XtraEditors.LocalizationRes.el.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraGrid
%resgen% LocalizationRes.el.resx
%resgen% FilterEditor\FilterBuilder.el.resx FilterBuilder.el.resources
%resgen% Printing\CardViewPrinting.el.resx CardViewPrinting.el.resources
%resgen% Printing\GridViewPrinting.el.resx GridViewPrinting.el.resources
%al% /out:..\el\DevExpress.XtraGrid.%VER_DLL%.Resources.dll /v:%VER_GRID% /culture:el /embed:LocalizationRes.el.resources,DevExpress.XtraGrid.LocalizationRes.el.resources /embed:CardViewPrinting.el.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.el.resources /embed:FilterBuilder.el.resources,DevExpress.XtraGrid.FilterEditor.FilterBuilder.el.resources /embed:GridViewPrinting.el.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.el.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPivotGrid
%resgen% LocalizationRes.el.resx
%al% /out:..\el\DevExpress.XtraPivotGrid.%VER_DLL%.Core.Resources.dll /v:%VER_PIVOT% /culture:el /embed:LocalizationRes.el.resources,DevExpress.XtraPivotGrid.LocalizationRes.el.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraPrinting
%resgen% ComponentEditorForm.el.resx
%resgen% LocalizationRes.el.resx
%resgen% HeaderFooterForm.el.resx
%resgen% WatermarkEditorForm.el.resx
%al% /out:..\el\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:el /embed:ComponentEditorForm.el.resources,DevExpress.XtraPrinting.ComponentEditorForm.el.resources /embed:LocalizationRes.el.resources,LocalizationRes.el.resources /embed:HeaderFooterForm.el.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.el.resources /embed:WatermarkEditorForm.el.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.el.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
%resgen% LocalizationRes.el.resx
%resgen% SummaryEditorForm.el.resx
%resgen% Design\SearchDialog.el.resx SearchDialog.el.resources
%resgen% Wizards\WizPageChooseFields.el.resx WizPageChooseFields.el.resources
%resgen% Wizards\WizPageConnection.el.resx WizPageConnection.el.resources
%resgen% Wizards\WizPageDataset.el.resx WizPageDataset.el.resources
%resgen% Wizards\WizPageGroupedLayout.el.resx WizPageGroupedLayout.el.resources
%resgen% Wizards\WizPageGrouping.el.resx WizPageGrouping.el.resources
%resgen% Wizards\WizPageLabelOptions.el.resx WizPageLabelOptions.el.resources
%resgen% Wizards\WizPageLabelType.el.resx WizPageLabelType.el.resources
%resgen% Wizards\WizPageLayoutBase.el.resx WizPageLayoutBase.el.resources
%resgen% Wizards\WizPageReportTitle.el.resx WizPageReportTitle.el.resources
%resgen% Wizards\WizPageStyle.el.resx WizPageStyle.el.resources
%resgen% Wizards\WizPageSummary.el.resx WizPageSummary.el.resources
%resgen% Wizards\WizPageTables.el.resx WizPageTables.el.resources
%resgen% Wizards\WizPageUngroupedLayout.el.resx WizPageUngroupedLayout.el.resources
%resgen% Wizards\WizPageWelcome.el.resx WizPageWelcome.el.resources
%resgen% Wizards\WizPreviewControl.el.resx WizPreviewControl.el.resources
%resgen% Wizards\XtraReportWizardForm.el.resx XtraReportWizardForm.el.resources
%resgen% EndUserDesigner\XRDesignForm.el.resx XRDesignForm.el.resources
%resgen% EndUserDesigner\XRDesignFormEx.el.resx XRDesignFormEx.el.resources
%al% /out:..\el\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:el /embed:LocalizationRes.el.resources,LocalizationRes.el.resources  /embed:SearchDialog.el.resources,DevExpress.XtraReports.Native.SearchDialog.el.resources /embed:SummaryEditorForm.el.resources,DevExpress.XtraReports.Design.SummaryEditorForm.el.resources /embed:WizPageChooseFields.el.resources,DevExpress.XtraReports.Design.WizPageChooseFields.el.resources /embed:WizPageConnection.el.resources,DevExpress.XtraReports.Design.WizPageConnection.el.resources /embed:WizPageDataset.el.resources,DevExpress.XtraReports.Design.WizPageDataset.el.resources /embed:WizPageGroupedLayout.el.resources,DevExpress.XtraReports.Design.WizPageGroupedLayout.el.resources /embed:WizPageGrouping.el.resources,DevExpress.XtraReports.Design.WizPageGrouping.el.resources /embed:WizPageLabelOptions.el.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.el.resources /embed:WizPageLabelType.el.resources,DevExpress.XtraReports.Design.WizPageLabelType.el.resources /embed:WizPageLayoutBase.el.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.el.resources /embed:WizPageReportTitle.el.resources,DevExpress.XtraReports.Design.WizPageReportTitle.el.resources /embed:WizPageStyle.el.resources,DevExpress.XtraReports.Design.WizPageStyle.el.resources /embed:WizPageSummary.el.resources,DevExpress.XtraReports.Design.WizPageSummary.el.resources /embed:WizPageTables.el.resources,DevExpress.XtraReports.Design.WizPageTables.el.resources /embed:WizPageUngroupedLayout.el.resources,DevExpress.XtraReports.Design.WizPageUngroupedLayout.el.resources /embed:WizPageWelcome.el.resources,DevExpress.XtraReports.Design.WizPageWelcome.el.resources /embed:WizPreviewControl.el.resources,DevExpress.XtraReports.Design.PreviewControl.el.resources /embed:XRDesignForm.el.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormBase.el.resources /embed:XRDesignFormEx.el.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormExBase.el.resources /embed:XtraReportWizardForm.el.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.el.resources /keyfile:%KEYFILE%
del *.resources
cd..

