@echo off
call ..\DefineVersions.bat
call ..\NET1.bat

cd XtraBars
%resgen% LocalizationRes.sl.resx
%al% /out:..\sl\DevExpress.XtraBars.%VER_DLL%.Resources.dll /v:%VER_BARS% /culture:sl /embed:LocalizationRes.sl.resources,DevExpress.XtraBars.LocalizationRes.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraEditors
%resgen% LocalizationRes.sl.resx
%al% /out:..\sl\DevExpress.XtraEditors.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:sl /embed:LocalizationRes.sl.resources,DevExpress.XtraEditors.LocalizationRes.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraGrid
%resgen% LocalizationRes.sl.resx
%resgen% Printing\CardViewPrinting.sl.resx CardViewPrinting.sl.resources
%resgen% Printing\GridViewPrinting.sl.resx GridViewPrinting.sl.resources
%al% /out:..\sl\DevExpress.XtraGrid.%VER_DLL%.Resources.dll /v:%VER_GRID% /culture:sl /embed:LocalizationRes.sl.resources,DevExpress.XtraGrid.LocalizationRes.sl.resources /embed:CardViewPrinting.sl.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.sl.resources /embed:GridViewPrinting.sl.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraNavBar
%resgen% LocalizationRes.sl.resx
%al% /out:..\sl\DevExpress.XtraNavBar.%VER_DLL%.Resources.dll /v:%VER_NAVBAR% /culture:sl /embed:LocalizationRes.sl.resources,DevExpress.XtraNavBar.LocalizationRes.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPivotGrid
%resgen% LocalizationRes.sl.resx
%al% /out:..\sl\DevExpress.XtraPivotGrid.%VER_DLL%.Core.Resources.dll /v:%VER_PIVOT% /culture:sl /embed:LocalizationRes.sl.resources,DevExpress.XtraPivotGrid.LocalizationRes.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPrinting
%resgen% LocalizationRes.sl.resx
rem %resgen% HeaderFooterForm.sl.resx
rem %resgen% WatermarkEditorForm.sl.resx
rem %al% /out:..\sl\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:sl /embed:LocalizationRes.sl.resources,LocalizationRes.sl.resources /embed:HeaderFooterForm.sl.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.sl.resources /embed:WatermarkEditorForm.sl.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.sl.resources /keyfile:%KEYFILE%
%al% /out:..\sl\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:sl /embed:LocalizationRes.sl.resources,LocalizationRes.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
%resgen% LocalizationRes.sl.resx
rem %resgen% Design\SearchDialog.sl.resx SearchDialog.sl.resources
%resgen% Wizards\WizPageChooseFields.sl.resx WizPageChooseFields.sl.resources
%resgen% Wizards\WizPageGroupedLayout.sl.resx WizPageGroupedLayout.sl.resources
%resgen% Wizards\WizPageGrouping.sl.resx WizPageGrouping.sl.resources
%resgen% Wizards\WizPageLabelOptions.sl.resx WizPageLabelOptions.sl.resources
%resgen% Wizards\WizPageLabelType.sl.resx WizPageLabelType.sl.resources
%resgen% Wizards\WizPageLayoutBase.sl.resx WizPageLayoutBase.sl.resources
%resgen% Wizards\WizPageReportTitle.sl.resx WizPageReportTitle.sl.resources
%resgen% Wizards\WizPageStyle.sl.resx WizPageStyle.sl.resources
%resgen% Wizards\WizPageSummary.sl.resx WizPageSummary.sl.resources
%resgen% Wizards\WizPageWelcome.sl.resx WizPageWelcome.sl.resources
%resgen% Wizards\XtraReportWizardForm.sl.resx XtraReportWizardForm.sl.resources
rem %al% /out:..\sl\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:sl /embed:LocalizationRes.sl.resources,LocalizationRes.sl.resources /embed:SearchDialog.sl.resources,DevExpress.XtraReports.Native.SearchDialog.sl.resources /embed:WizPageChooseFields.sl.resources,DevExpress.XtraReports.Design.WizPageChooseFields.sl.resources /embed:WizPageGroupedLayout.sl.resources,DevExpress.XtraReports.Design.WizPageGroupedLayout.sl.resources /embed:WizPageGrouping.sl.resources,DevExpress.XtraReports.Design.WizPageGrouping.sl.resources /embed:WizPageLabelOptions.sl.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.sl.resources /embed:WizPageLabelType.sl.resources,DevExpress.XtraReports.Design.WizPageLabelType.sl.resources /embed:WizPageLayoutBase.sl.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.sl.resources /embed:WizPageReportTitle.sl.resources,DevExpress.XtraReports.Design.WizPageReportTitle.sl.resources /embed:WizPageStyle.sl.resources,DevExpress.XtraReports.Design.WizPageStyle.sl.resources /embed:WizPageSummary.sl.resources,DevExpress.XtraReports.Design.WizPageSummary.sl.resources /embed:WizPageWelcome.sl.resources,DevExpress.XtraReports.Design.WizPageWelcome.sl.resources /embed:XtraReportWizardForm.sl.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.sl.resources /keyfile:%KEYFILE%
%al% /out:..\sl\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:sl /embed:LocalizationRes.sl.resources,LocalizationRes.sl.resources /embed:WizPageChooseFields.sl.resources,DevExpress.XtraReports.Design.WizPageChooseFields.sl.resources /embed:WizPageGroupedLayout.sl.resources,DevExpress.XtraReports.Design.WizPageGroupedLayout.sl.resources /embed:WizPageGrouping.sl.resources,DevExpress.XtraReports.Design.WizPageGrouping.sl.resources /embed:WizPageLabelOptions.sl.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.sl.resources /embed:WizPageLabelType.sl.resources,DevExpress.XtraReports.Design.WizPageLabelType.sl.resources /embed:WizPageLayoutBase.sl.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.sl.resources /embed:WizPageReportTitle.sl.resources,DevExpress.XtraReports.Design.WizPageReportTitle.sl.resources /embed:WizPageStyle.sl.resources,DevExpress.XtraReports.Design.WizPageStyle.sl.resources /embed:WizPageSummary.sl.resources,DevExpress.XtraReports.Design.WizPageSummary.sl.resources /embed:WizPageWelcome.sl.resources,DevExpress.XtraReports.Design.WizPageWelcome.sl.resources /embed:XtraReportWizardForm.sl.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraTreeList
%resgen% LocalizationRes.sl.resx
%resgen% Printing\PrintDesigner.sl.resx PrintDesigner.sl.resources
%al% /out:..\sl\DevExpress.XtraTreeList.%VER_DLL%.Resources.dll /v:%VER_TREELIST% /culture:sl /embed:LocalizationRes.sl.resources,DevExpress.XtraTreeList.LocalizationRes.sl.resources /embed:PrintDesigner.sl.resources,DevExpress.XtraTreeList.Frames.TreeListPrinting.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraVerticalGrid
%resgen% LocalizationRes.sl.resx
%al% /out:..\sl\DevExpress.XtraVerticalGrid.%VER_DLL%.Resources.dll /v:%VER_VERTG% /culture:sl /embed:LocalizationRes.sl.resources,DevExpress.XtraVerticalGrid.Localization.LocalizationRes.sl.resources /keyfile:%KEYFILE%
del *.resources
cd..